@charset "utf-8";

/* ---------------------------------------------
Reset
--------------------------------------------- */
html, body, header, footer, main, section, div, span, h1, h2, h3, h4, h5, h6, p, ul, ol, li, dl, dt, dd {
    margin:0;
    padding:0;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
    font-family: "Noto Sans JP", sans-serif;
}
body{
    max-width: 470px;
    margin: 0 auto;
}
img{
    display: inline-block;
    width: 100%;
}
:root{
    --bg: #DCF8FF;
}
/* ---------------------------------------------
共通
--------------------------------------------- */
.center{
    text-align: center;
}
.flex {
    display: flex;
}
a{
    display: block;
    margin: 0 auto;
    width: 80%;
}
a:hover,
button:hover{
    opacity: 0.8;
}
/* ---------------------------------------------
intro
--------------------------------------------- */
.intro{
    position: relative;
    background-color: var(--bg);
    > img{
        width: 90%;
        padding: 20px 0;
        margin: auto;
        display: block;
    }
    a{
        position: absolute;
        left: 52%;
        transform: translateX(-50%);
        width: 85%;
        transition:  0.3s ease-in-out;
    }
    /* 新卒 */
    a:has(img[src*="intro-cta-2"]){
        bottom: 27%;
    }
    /* 既卒 */
    a:has(img[src*="intro-cta-1"]){
        bottom: 3%;
    }
}
/* ---------------------------------------------
footer
--------------------------------------------- */
footer {
    margin: 0 auto;
}
.footer__body2 {
    text-align: center;
    font-size: 14px;
    width: 100%;
    padding: 30px 0;
    background-color: var(--bg);
    color: #000;
}
